Skip to main content
POST
/
v1
/
boards
Create a board
curl --request POST \
  --url https://api.chatgrid.ai/v1/v1/boards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Q1 Marketing Plan",
  "view_mode": "canvas"
}
'
{
  "object": "board",
  "data": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "Q1 Marketing Plan",
    "created_at": "2026-03-15T10:30:00.000Z",
    "updated_at": "2026-03-15T12:45:00.000Z",
    "is_public": false,
    "public_access_level": null,
    "viewport_x": 0,
    "viewport_y": 0,
    "viewport_zoom": 1
  }
}

Authorizations

Authorization
string
header
required

Pass your API key (prefixed cgk_) or a Supabase JWT in the Authorization: Bearer <token> header.

Body

application/json
name
string
required
Required string length: 1 - 255
Example:

"Q1 Marketing Plan"

view_mode
enum<string>
default:canvas

Initial view mode. "docs" creates a document-style board with a root text node.

Available options:
canvas,
docs

Response

Board created.

object
enum<string>
Available options:
board
data
object